%define ver_major 2.16

Name: zenity
Version: %ver_major.3
Release: alt1

Summary: The GNOME port of dialog(1)
License: LGPL
Group: Graphical desktop/GNOME

URL: http://ftp.gnome.org/pub/gnome/sources/%name/
Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

Requires(post,postun): scrollkeeper

# from configure.in
%define intltool_ver 0.35
%define gtk_ver 2.9.2

BuildPreReq: gnome-common gnome-doc-utils
BuildPreReq: intltool >= %intltool_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libglade2-devel libgnomecanvas-devel glib2-devel
BuildPreReq: perl-XML-Parser
BuildPreReq: libnotify-devel >= 0.4.1

BuildRequires: libX11-devel libXt-devel scrollkeeper perl-XML-Parser xsltproc

%description
Zenity is a tool that allows you to display Gtk+ dialog boxes from
the command line and through shell scripts.  It is similar to gdialog,
but is intended to be saner.  It comes from the same family as dialog,
Xdialog, and cdialog, but it surpasses those projects by having
a cooler name.

%prep
%setup -q

%build
%configure --disable-scrollkeeper
%make_build

%install
%makeinstall

%find_lang --output=%name.lang --with-gnome %name-0.1 %name

%post
%update_scrollkeeper

%postun
%clean_scrollkeeper

%files -f %name.lang
%doc AUTHORS NEWS README THANKS TODO
%_bindir/%name
%_bindir/gdialog
%_datadir/%name/
%_man1dir/%name.*

%changelog
* Wed Jan 31 2007 Alexey Rusakov <ktirf@altlinux.org> 2.16.3-alt1
- new version 2.16.3 (with rpmrb script)

* Thu Dec 21 2006 Alexey Rusakov <ktirf@altlinux.org> 2.16.2-alt1
- new version 2.16.2 (with rpmrb script)

* Fri Oct 06 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.1-alt1
- new version (2.16.1)
- updated dependencies
- use --disable-scrollkeeper instead of a workaround.

* Sun May 28 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.2-alt1
- new version 2.14.2 (with rpmrb script)

* Sat Apr 15 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.1-alt1
- new version 2.14.1 (with rpmrb script)

* Tue Jan 31 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.90-alt1
- new version

* Sat Jan 28 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.4-alt2
- updated dependencies.
- minor spec improvements.

* Sat Jan 14 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.4-alt1
- new version

* Mon Nov 14 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.13.2-alt1
- new version

* Mon Oct 24 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.13.1-alt1
- new version

* Wed Oct 05 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.1-alt1
- new version

* Sun Sep 25 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.0-alt1
- 2.12.0

* Sun May 08 2005 Alexey Tourbin <at@altlinux.ru> 2.10.0-alt1
- 2.8.1 -> 2.10.0

* Tue Oct 12 2004 Alexey Tourbin <at@altlinux.ru> 2.8.1-alt1
- 2.7.0 -> 2.8.1

* Fri Jul 30 2004 Alexey Tourbin <at@altlinux.ru> 2.7.0-alt1
- initial revision
